MyBB Community Forums
Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 - Printable Version

+- MyBB Community Forums (https://community.mybb.com)
+-- Forum: Community Archive (https://community.mybb.com/forum-106.html)
+--- Forum: Archived Forums (https://community.mybb.com/forum-143.html)
+---- Forum: Archived Development and Support (https://community.mybb.com/forum-155.html)
+----- Forum: MyBB 1.6 (https://community.mybb.com/forum-138.html)
+------ Forum: 1.6 General Support (https://community.mybb.com/forum-127.html)
+------ Thread: Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 (/thread-106868.html)

Pages: 1 2


Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 - romuslus - 2011-10-30

Hello,

I have several problems in my MyBB forum.

I have created a new MyBB forum for testing the problems.
The creation protocol is this one :

a) I have got a Ve-hotexch VHS-4 server in which I install a Mybb forum in 1.4.2 version. This version works.

b) I update this forum from 1.4.2 to 1.6.4. For this, as 1.4.2 doesn't appear in the install tool, I define in the install tool 1.4.3 to 1.6.4 as suggested in another post in this forum.

c) I update french part too.

The entire process tooks only a few minutes, so I can execute it as many time as needed.

There are different problems. One of them is :

When I save parameters for a user account, I obtain this message :

MyBB has experienced an internal SQL error and cannot continue.
SQL Error: 1054 - Unknown column 'remember' in 'field list' Query: UPDATE myBB3_users SET email='[email protected]', postnum='0', usergroup='2', additionalgroups='', displaygroup='0', usertitle='', signature='', website='', icq='0', aim='', yahoo='', msn='', birthday='', style='0', timezone='0', dateformat='0', timeformat='0', language='french', allownotices='1', hideemail='0', subscriptionmethod='0', invisible='0', dstcorrection='2', threadmode='linear', showsigs='1', showavatars='1', showquickreply='1', remember='', receivepms='1', pmnotice='1', daysprune='0', showcodebuttons='1', pmnotify='0', showredirect='1', tpp='0', ppp='0' WHERE uid='2'
Please contact the MyBB Group for support.


My configuration is :

server Ve-hotech VHS-4 first generation
MyBB : 1.6.4
PHP : 5.3.2-1ubuntu4.5
SQL : MySQL 5.1.41
Could you help me ?

Thanks by advance



RE: Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 - Alan S. - 2011-10-30

http://community.mybb.com/thread-75028.html

(2010-08-03, 09:35 PM)MattRogowski Wrote: Unknown column 'remember' in 'field list'
Make sure you've uploaded all the new files properly, so they have overwritten the old files. This column was removed in the upgrade so if you're getting this error, your files are still looking for it. Also make sure you've not got any plugins running that are not 1.6 compatible.

Alternatively, if you have merged to MyBB from another forum software, redownload the MyBB Merge System, extract the loginconvert.php file, and upload it over the current version in your ./inc/plugins/ folder.




RE: Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 - romuslus - 2011-10-30

Thanks for your very rapid response.

I made a completely new installation, with only plugins :
Askimet (1.2.1)
Hello World! (1.0)

I must precise again that the 1.4.2 installation is furnished by my VHS-4 server, so I don't know exactly what is made by them. I only upgrade MyBB from 1.4.3 to 1.6.4.

I'm trying to use the merge process.
As the initial MyBB forum is automatically created by a VHS-4 process, I didn't fix this parameter myself and I'm not certain to know what is the value of this parameter. I suppose it is the parameter define by "$config['database']['database'] =" in the inc/config.php file, but I'm not sure
Could you confirm it ?

Do you know the name of the php file in which the update command which made the error is ?
So I can compare this file in my forum with the original in 1.6.4

Thanks




RE: Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 - Alan S. - 2011-10-30

You don't need to use the merge system for anything.

Have you checked all the new files have been uploaded correctly?


RE: Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 - Matt - 2011-10-30

It specifically says the merge system is only relevant if you've converted from other software.

If you are getting this error, you have old files in your file system, either old MyBB files, or files from plugins written for 1.4.

Go to ACP > Tools & Maintenance > File Verification > run this, does it say any files have been changed??


RE: Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 - romuslus - 2011-10-30

Thanks for your response, but I don't understand what is ACP


RE: Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 - Matt - 2011-10-30

Admin Control Panel.


RE: Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 - romuslus - 2011-10-30

Sorry, but I have all terms in french. I thought that it concerned the admin part of the forum, but when I go to the admin part > Tools & Maintenance of my MyBB forum, I see nothing corresponding to a "file verification aspect". I only get

Etat du système (system state)
Gestion des tâches (task management)
Recompter et reconstruire (Recount and rebuid)
Informations PHP (PHP informations)
Sauvegardes BDD (Database savegards)
Optimiser BDD (Optimize database)

So maybe the Access Control Panel you speak about isn't what I thought it was. Could you precise ?


RE: Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 - StefanT - 2011-10-30

It looks like your files are outdated, this function was added in MyBB 1.6.


RE: Several problems in a Mybb forum upgraded from 1.4.2 to 1.6.4 - Alan S. - 2011-10-30

Reupload all the 1.6 files again, ensuring they overwrite the existing files.